# eric4.Plugins.VcsPlugins.vcsSubversion.SvnDialog

Module implementing a dialog starting a process and showing its output.

### Global Attributes

None

### Classes

SvnDialog | Class implementing a dialog starting a process and showing its output.

### Functions

None

## SvnDialog

Class implementing a dialog starting a process and showing its output.

It starts a QProcess and displays a dialog that shows the output of the process. The dialog is modal, which causes a synchronized execution of the process.

### Derived from

QDialog, Ui_SvnDialog

### Class Attributes

None

### Class Methods

None

### Methods

SvnDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStderr signal.
__readStdout | Private slot to handle the readyReadStdout signal.
hasAddOrDelete | Public method to check, if the last action contained an add or delete.
keyPressEvent | Protected slot to handle a key press event.
normalExit | Public method to check for a normal process termination.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the subversion process.
startProcess | Public slot used to start the process.

### Static Methods

None

#### SvnDialog (Constructor)

SvnDialog(text, parent = None)

Constructor

text
  text to be shown by the label (string or QString)
parent
  parent widget (QWidget)

#### SvnDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### SvnDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### SvnDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

#### SvnDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### SvnDialog.hasAddOrDelete

hasAddOrDelete()

Public method to check, if the last action contained an add or delete.

#### SvnDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### SvnDialog.normalExit

normalExit()

Public method to check for a normal process termination.

Returns:
  flag indicating normal process termination (boolean)

#### SvnDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### SvnDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### SvnDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### SvnDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the subversion process.

#### SvnDialog.startProcess

startProcess(args, workingDir = None)

Public slot used to start the process.

args
  list of arguments for the process (QStringList)
workingDir
  working directory for the process (string or QString)

Returns:
  flag indicating a successful start of the process

Up